Package musicbrainz2 :: Module webservice :: Class ArtistIncludes

[frames] | no frames]

# Class ArtistIncludes

source code

    object --+
             |
     IIncludes --+
                 |
                ArtistIncludes

A specification on how much data to return with an artist.

Example:

    >>> from musicbrainz2.model import Release
    >>> from musicbrainz2.webservice import ArtistIncludes
    >>> inc = ArtistIncludes(artistRelations=True, releaseRelations=True,
    ...             releases=(Release.TYPE_ALBUM, Release.TYPE_OFFICIAL))
    >>>

The MusicBrainz server only supports some combinations of release types for the `releases` and `vaReleases` include tags. At the moment, not more than two release types should be selected, while one of them has to be `Release.TYPE_OFFICIAL`, `Release.TYPE_PROMOTION` or `Release.TYPE_BOOTLEG`.

Note: Only one of `releases` and `vaReleases` may be given.

Instance Methods

__init__(self, aliases=False, releases=`(``)`, vaReleases=`(``)`, artistRelations=False, releaseRelations=False, trackRelations=False, urlRelations=False, tags=False, ratings=False, releaseGroups=False) x.__init__(...) initializes x; see help(type(x)) for signature | source code

createIncludeTags(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, aliases=False, releases=`(``)`, vaReleases=`(``)`, artistRelations=False, releaseRelations=False, trackRelations=False, urlRelations=False, tags=False, ratings=False, releaseGroups=False)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### createIncludeTags(self)

source code

Overrides: IIncludes.createIncludeTags